import type { NuxtError } from 'nuxt/app'

const codes: Record<number, string> = {
  400: 'Hey, deine Anfrage war irgendwie kaputt. Check nochmal!',
  404: 'Sorry bro, aber diese Seite existiert einfach nicht.',
  408: 'Alter, das hat viel zu lange gedauert. Timeout!',
  410: 'Diese Seite ist für immer weg. Gone!',
  500: 'Crap, da ging was im Hintergrund schief. Sorry!',
  501: 'Das haben wir noch nicht implementiert. Oops!',
  502: 'Der Server dahinter spinnt gerade rum.',
  503: 'Service ist gerade down. Versuch es später nochmal.',
  504: 'Gateway Timeout - da hängt was fest.',
}

export const getErrorMessage = (error: NuxtError) => codes[error.statusCode] ?? 'Sorry, da ist etwas schief gelaufen.'