export type Category = 'story' | 'snippet' | 'tutorial' | 'news' | 'freelancing' | 'extern'

export type BlogCard = {
  title: string
  description: string
  image: string
  date: string
  link: string
  category: Category
  author: {
    name: string
    img?: string
  }
}